------------------------------------------------------------------------
r8482 | vlefevre | 2013-03-13 15:29:32 +0000 (Wed, 13 Mar 2013) | 1 line
Changed paths:
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.2.
------------------------------------------------------------------------
r8480 | vlefevre | 2013-03-13 01:00:16 +0000 (Wed, 13 Mar 2013) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/configure.ac

[configure.ac] Corrected comment on clock_gettime.
(merged changeset r8446 from the trunk)
------------------------------------------------------------------------
r8479 | zimmerma | 2013-03-12 09:37:20 +0000 (Tue, 12 Mar 2013) | 4 lines
Changed paths:
   M /branches/3.1/configure.ac
   M /branches/3.1/tune/Makefile.am

(merged changeset 8443-8445 from the trunk)
Tuning: reverted changeset r8444 and applied patch by Patrick Pélissier
for GMP 5.1.0 to link against librt conditionally.

------------------------------------------------------------------------
r8478 | vlefevre | 2013-03-12 02:20:01 +0000 (Tue, 12 Mar 2013) | 2 lines
Changed paths:
   M /branches/3.1/INSTALL

[INSTALL] Added a paragraph about Cygwin and threading.
(merged changeset r8477 from the trunk)
------------------------------------------------------------------------
r8476 | vlefevre | 2013-03-12 00:11:18 +0000 (Tue, 12 Mar 2013) | 3 lines
Changed paths:
   M /branches/3.1/INSTALL

[INSTALL] Improved information on patches.
(merged changeset r8475 from the trunk, after temporarily reverted
to 3.2.0-dev with tools/update-version for the merge)
------------------------------------------------------------------------
r8471 | vlefevre | 2013-03-08 12:06:54 +0000 (Fri, 08 Mar 2013) | 1 line
Changed paths:
   M /branches/3.1/ChangeLog

ChangeLog update with "TZ=UTC svn log -rHEAD:0 -v" (in UTF-8 locales).
------------------------------------------------------------------------
r8470 | vlefevre | 2013-03-08 11:59:32 +0000 (Fri, 08 Mar 2013) | 2 lines
Changed paths:
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/Makefile.am
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.2-rc1 and updated libmpfr_la_LDFLAGS in
src/Makefile.am for the next release.
------------------------------------------------------------------------
r8468 | vlefevre | 2013-03-08 11:44:47 +0000 (Fri, 08 Mar 2013) | 1 line
Changed paths:
   M /branches/3.1/NEWS

[NEWS] Update for GNU MPFR 3.1.2.
------------------------------------------------------------------------
r8466 | vlefevre | 2013-03-08 00:34:36 +0000 (Fri, 08 Mar 2013) | 1 line
Changed paths:
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r8465 | vlefevre | 2013-03-08 00:33:22 +0000 (Fri, 08 Mar 2013) | 5 lines
Changed paths:
   M /branches/3.1/BUGS
   M /branches/3.1/INSTALL
   M /branches/3.1/Makefile.am
   M /branches/3.1/NEWS
   M /branches/3.1/README
   M /branches/3.1/TODO
   M /branches/3.1/acinclude.m4
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/FAQ.html
   M /branches/3.1/doc/Makefile.am
   M /branches/3.1/doc/README.dev
   M /branches/3.1/doc/faq.xsl
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/examples/divworst.c
   M /branches/3.1/examples/rndo-add.c
   M /branches/3.1/examples/sample.c
   M /branches/3.1/examples/version.c
   M /branches/3.1/src/Makefile.am
   M /branches/3.1/src/abort_prec_max.c
   M /branches/3.1/src/acos.c
   M /branches/3.1/src/acosh.c
   M /branches/3.1/src/add.c
   M /branches/3.1/src/add1.c
   M /branches/3.1/src/add1sp.c
   M /branches/3.1/src/add_d.c
   M /branches/3.1/src/add_ui.c
   M /branches/3.1/src/agm.c
   M /branches/3.1/src/ai.c
   M /branches/3.1/src/amd/amdfam10/mparam.h
   M /branches/3.1/src/amd/athlon/mparam.h
   M /branches/3.1/src/amd/k8/mparam.h
   M /branches/3.1/src/arm/mparam.h
   M /branches/3.1/src/asin.c
   M /branches/3.1/src/asinh.c
   M /branches/3.1/src/atan.c
   M /branches/3.1/src/atan2.c
   M /branches/3.1/src/atanh.c
   M /branches/3.1/src/bernoulli.c
   M /branches/3.1/src/buildopt.c
   M /branches/3.1/src/cache.c
   M /branches/3.1/src/cbrt.c
   M /branches/3.1/src/check.c
   M /branches/3.1/src/clear.c
   M /branches/3.1/src/clears.c
   M /branches/3.1/src/cmp.c
   M /branches/3.1/src/cmp2.c
   M /branches/3.1/src/cmp_abs.c
   M /branches/3.1/src/cmp_d.c
   M /branches/3.1/src/cmp_ld.c
   M /branches/3.1/src/cmp_si.c
   M /branches/3.1/src/cmp_ui.c
   M /branches/3.1/src/comparisons.c
   M /branches/3.1/src/const_catalan.c
   M /branches/3.1/src/const_euler.c
   M /branches/3.1/src/const_log2.c
   M /branches/3.1/src/const_pi.c
   M /branches/3.1/src/constant.c
   M /branches/3.1/src/copysign.c
   M /branches/3.1/src/cos.c
   M /branches/3.1/src/cosh.c
   M /branches/3.1/src/cot.c
   M /branches/3.1/src/coth.c
   M /branches/3.1/src/csc.c
   M /branches/3.1/src/csch.c
   M /branches/3.1/src/d_div.c
   M /branches/3.1/src/d_sub.c
   M /branches/3.1/src/digamma.c
   M /branches/3.1/src/dim.c
   M /branches/3.1/src/div.c
   M /branches/3.1/src/div_2exp.c
   M /branches/3.1/src/div_2si.c
   M /branches/3.1/src/div_2ui.c
   M /branches/3.1/src/div_d.c
   M /branches/3.1/src/div_ui.c
   M /branches/3.1/src/dump.c
   M /branches/3.1/src/eint.c
   M /branches/3.1/src/eq.c
   M /branches/3.1/src/erf.c
   M /branches/3.1/src/erfc.c
   M /branches/3.1/src/exceptions.c
   M /branches/3.1/src/exp.c
   M /branches/3.1/src/exp10.c
   M /branches/3.1/src/exp2.c
   M /branches/3.1/src/exp3.c
   M /branches/3.1/src/exp_2.c
   M /branches/3.1/src/expm1.c
   M /branches/3.1/src/extract.c
   M /branches/3.1/src/factorial.c
   M /branches/3.1/src/fits_intmax.c
   M /branches/3.1/src/fits_s.h
   M /branches/3.1/src/fits_sint.c
   M /branches/3.1/src/fits_slong.c
   M /branches/3.1/src/fits_sshort.c
   M /branches/3.1/src/fits_u.h
   M /branches/3.1/src/fits_uint.c
   M /branches/3.1/src/fits_uintmax.c
   M /branches/3.1/src/fits_ulong.c
   M /branches/3.1/src/fits_ushort.c
   M /branches/3.1/src/fma.c
   M /branches/3.1/src/fms.c
   M /branches/3.1/src/frac.c
   M /branches/3.1/src/free_cache.c
   M /branches/3.1/src/frexp.c
   M /branches/3.1/src/gamma.c
   M /branches/3.1/src/gammaonethird.c
   M /branches/3.1/src/gen_inverse.h
   M /branches/3.1/src/generic/mparam.h
   M /branches/3.1/src/get_d.c
   M /branches/3.1/src/get_d64.c
   M /branches/3.1/src/get_exp.c
   M /branches/3.1/src/get_f.c
   M /branches/3.1/src/get_flt.c
   M /branches/3.1/src/get_ld.c
   M /branches/3.1/src/get_si.c
   M /branches/3.1/src/get_sj.c
   M /branches/3.1/src/get_str.c
   M /branches/3.1/src/get_ui.c
   M /branches/3.1/src/get_uj.c
   M /branches/3.1/src/get_z.c
   M /branches/3.1/src/get_z_exp.c
   M /branches/3.1/src/gmp_op.c
   M /branches/3.1/src/grandom.c
   M /branches/3.1/src/hppa/mparam.h
   M /branches/3.1/src/hypot.c
   M /branches/3.1/src/ia64/mparam.h
   M /branches/3.1/src/ieee_floats.h
   M /branches/3.1/src/init.c
   M /branches/3.1/src/init2.c
   M /branches/3.1/src/inits.c
   M /branches/3.1/src/inits2.c
   M /branches/3.1/src/inp_str.c
   M /branches/3.1/src/int_ceil_log2.c
   M /branches/3.1/src/isinf.c
   M /branches/3.1/src/isinteger.c
   M /branches/3.1/src/isnan.c
   M /branches/3.1/src/isnum.c
   M /branches/3.1/src/isqrt.c
   M /branches/3.1/src/isregular.c
   M /branches/3.1/src/iszero.c
   M /branches/3.1/src/jn.c
   M /branches/3.1/src/jyn_asympt.c
   M /branches/3.1/src/li2.c
   M /branches/3.1/src/lngamma.c
   M /branches/3.1/src/log.c
   M /branches/3.1/src/log10.c
   M /branches/3.1/src/log1p.c
   M /branches/3.1/src/log2.c
   M /branches/3.1/src/logging.c
   M /branches/3.1/src/min_prec.c
   M /branches/3.1/src/minmax.c
   M /branches/3.1/src/modf.c
   M /branches/3.1/src/mp_clz_tab.c
   M /branches/3.1/src/mparam_h.in
   M /branches/3.1/src/mpf2mpfr.h
   M /branches/3.1/src/mpfr-gmp.c
   M /branches/3.1/src/mpfr-gmp.h
   M /branches/3.1/src/mpfr-impl.h
   M /branches/3.1/src/mpfr-intmax.h
   M /branches/3.1/src/mpfr-longlong.h
   M /branches/3.1/src/mpfr-thread.h
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/mpn_exp.c
   M /branches/3.1/src/mul.c
   M /branches/3.1/src/mul_2exp.c
   M /branches/3.1/src/mul_2si.c
   M /branches/3.1/src/mul_2ui.c
   M /branches/3.1/src/mul_d.c
   M /branches/3.1/src/mul_ui.c
   M /branches/3.1/src/mulders.c
   M /branches/3.1/src/neg.c
   M /branches/3.1/src/next.c
   M /branches/3.1/src/out_raw.c
   M /branches/3.1/src/out_str.c
   M /branches/3.1/src/pow.c
   M /branches/3.1/src/pow_si.c
   M /branches/3.1/src/pow_ui.c
   M /branches/3.1/src/pow_z.c
   M /branches/3.1/src/powerof2.c
   M /branches/3.1/src/powerpc32/mparam.h
   M /branches/3.1/src/powerpc64/mparam.h
   M /branches/3.1/src/print_raw.c
   M /branches/3.1/src/print_rnd_mode.c
   M /branches/3.1/src/printf.c
   M /branches/3.1/src/rec_sqrt.c
   M /branches/3.1/src/reldiff.c
   M /branches/3.1/src/rem1.c
   M /branches/3.1/src/rint.c
   M /branches/3.1/src/root.c
   M /branches/3.1/src/round_near_x.c
   M /branches/3.1/src/round_p.c
   M /branches/3.1/src/round_prec.c
   M /branches/3.1/src/round_raw_generic.c
   M /branches/3.1/src/scale2.c
   M /branches/3.1/src/sec.c
   M /branches/3.1/src/sech.c
   M /branches/3.1/src/set.c
   M /branches/3.1/src/set_d.c
   M /branches/3.1/src/set_d64.c
   M /branches/3.1/src/set_dfl_prec.c
   M /branches/3.1/src/set_exp.c
   M /branches/3.1/src/set_f.c
   M /branches/3.1/src/set_flt.c
   M /branches/3.1/src/set_inf.c
   M /branches/3.1/src/set_ld.c
   M /branches/3.1/src/set_nan.c
   M /branches/3.1/src/set_prc_raw.c
   M /branches/3.1/src/set_prec.c
   M /branches/3.1/src/set_q.c
   M /branches/3.1/src/set_rnd.c
   M /branches/3.1/src/set_si.c
   M /branches/3.1/src/set_si_2exp.c
   M /branches/3.1/src/set_sj.c
   M /branches/3.1/src/set_str.c
   M /branches/3.1/src/set_str_raw.c
   M /branches/3.1/src/set_ui.c
   M /branches/3.1/src/set_ui_2exp.c
   M /branches/3.1/src/set_uj.c
   M /branches/3.1/src/set_z.c
   M /branches/3.1/src/set_z_exp.c
   M /branches/3.1/src/set_zero.c
   M /branches/3.1/src/setmax.c
   M /branches/3.1/src/setmin.c
   M /branches/3.1/src/setsign.c
   M /branches/3.1/src/sgn.c
   M /branches/3.1/src/si_op.c
   M /branches/3.1/src/signbit.c
   M /branches/3.1/src/sin.c
   M /branches/3.1/src/sin_cos.c
   M /branches/3.1/src/sinh.c
   M /branches/3.1/src/sinh_cosh.c
   M /branches/3.1/src/sparc64/mparam.h
   M /branches/3.1/src/sqr.c
   M /branches/3.1/src/sqrt.c
   M /branches/3.1/src/sqrt_ui.c
   M /branches/3.1/src/stack_interface.c
   M /branches/3.1/src/strtofr.c
   M /branches/3.1/src/sub.c
   M /branches/3.1/src/sub1.c
   M /branches/3.1/src/sub1sp.c
   M /branches/3.1/src/sub_d.c
   M /branches/3.1/src/sub_ui.c
   M /branches/3.1/src/subnormal.c
   M /branches/3.1/src/sum.c
   M /branches/3.1/src/swap.c
   M /branches/3.1/src/tan.c
   M /branches/3.1/src/tanh.c
   M /branches/3.1/src/uceil_exp2.c
   M /branches/3.1/src/uceil_log2.c
   M /branches/3.1/src/ufloor_log2.c
   M /branches/3.1/src/ui_div.c
   M /branches/3.1/src/ui_pow.c
   M /branches/3.1/src/ui_pow_ui.c
   M /branches/3.1/src/ui_sub.c
   M /branches/3.1/src/urandom.c
   M /branches/3.1/src/urandomb.c
   M /branches/3.1/src/vasprintf.c
   M /branches/3.1/src/version.c
   M /branches/3.1/src/volatile.c
   M /branches/3.1/src/x86/core2/mparam.h
   M /branches/3.1/src/x86/mparam.h
   M /branches/3.1/src/x86_64/core2/mparam.h
   M /branches/3.1/src/x86_64/pentium4/mparam.h
   M /branches/3.1/src/yn.c
   M /branches/3.1/src/zeta.c
   M /branches/3.1/src/zeta_ui.c
   M /branches/3.1/tests/Makefile.am
   M /branches/3.1/tests/cmp_str.c
   M /branches/3.1/tests/data/digamma
   M /branches/3.1/tests/data/li2
   M /branches/3.1/tests/memory.c
   M /branches/3.1/tests/mpf_compat.c
   M /branches/3.1/tests/mpf_compat.h
   M /branches/3.1/tests/mpfr-test.h
   M /branches/3.1/tests/mpfr_compat.c
   M /branches/3.1/tests/random2.c
   M /branches/3.1/tests/reuse.c
   M /branches/3.1/tests/rnd_mode.c
   M /branches/3.1/tests/tabs.c
   M /branches/3.1/tests/tacos.c
   M /branches/3.1/tests/tacosh.c
   M /branches/3.1/tests/tadd.c
   M /branches/3.1/tests/tadd1sp.c
   M /branches/3.1/tests/tadd_d.c
   M /branches/3.1/tests/tadd_ui.c
   M /branches/3.1/tests/tagm.c
   M /branches/3.1/tests/tai.c
   M /branches/3.1/tests/tasin.c
   M /branches/3.1/tests/tasinh.c
   M /branches/3.1/tests/tatan.c
   M /branches/3.1/tests/tatanh.c
   M /branches/3.1/tests/taway.c
   M /branches/3.1/tests/tbuildopt.c
   M /branches/3.1/tests/tcan_round.c
   M /branches/3.1/tests/tcbrt.c
   M /branches/3.1/tests/tcheck.c
   M /branches/3.1/tests/tcmp.c
   M /branches/3.1/tests/tcmp2.c
   M /branches/3.1/tests/tcmp_d.c
   M /branches/3.1/tests/tcmp_ld.c
   M /branches/3.1/tests/tcmp_ui.c
   M /branches/3.1/tests/tcmpabs.c
   M /branches/3.1/tests/tcomparisons.c
   M /branches/3.1/tests/tconst_catalan.c
   M /branches/3.1/tests/tconst_euler.c
   M /branches/3.1/tests/tconst_log2.c
   M /branches/3.1/tests/tconst_pi.c
   M /branches/3.1/tests/tcopysign.c
   M /branches/3.1/tests/tcos.c
   M /branches/3.1/tests/tcosh.c
   M /branches/3.1/tests/tcot.c
   M /branches/3.1/tests/tcoth.c
   M /branches/3.1/tests/tcsc.c
   M /branches/3.1/tests/tcsch.c
   M /branches/3.1/tests/td_div.c
   M /branches/3.1/tests/td_sub.c
   M /branches/3.1/tests/tdigamma.c
   M /branches/3.1/tests/tdim.c
   M /branches/3.1/tests/tdiv.c
   M /branches/3.1/tests/tdiv_d.c
   M /branches/3.1/tests/tdiv_ui.c
   M /branches/3.1/tests/teint.c
   M /branches/3.1/tests/teq.c
   M /branches/3.1/tests/terf.c
   M /branches/3.1/tests/tests.c
   M /branches/3.1/tests/texceptions.c
   M /branches/3.1/tests/texp.c
   M /branches/3.1/tests/texp10.c
   M /branches/3.1/tests/texp2.c
   M /branches/3.1/tests/texpm1.c
   M /branches/3.1/tests/tfactorial.c
   M /branches/3.1/tests/tfits.c
   M /branches/3.1/tests/tfma.c
   M /branches/3.1/tests/tfmod.c
   M /branches/3.1/tests/tfms.c
   M /branches/3.1/tests/tfprintf.c
   M /branches/3.1/tests/tfrac.c
   M /branches/3.1/tests/tfrexp.c
   M /branches/3.1/tests/tgamma.c
   M /branches/3.1/tests/tgeneric.c
   M /branches/3.1/tests/tgeneric_ui.c
   M /branches/3.1/tests/tget_d.c
   M /branches/3.1/tests/tget_d_2exp.c
   M /branches/3.1/tests/tget_f.c
   M /branches/3.1/tests/tget_flt.c
   M /branches/3.1/tests/tget_ld_2exp.c
   M /branches/3.1/tests/tget_set_d64.c
   M /branches/3.1/tests/tget_sj.c
   M /branches/3.1/tests/tget_str.c
   M /branches/3.1/tests/tget_z.c
   M /branches/3.1/tests/tgmpop.c
   M /branches/3.1/tests/tgrandom.c
   M /branches/3.1/tests/thyperbolic.c
   M /branches/3.1/tests/thypot.c
   M /branches/3.1/tests/tinits.c
   M /branches/3.1/tests/tinp_str.c
   M /branches/3.1/tests/tinternals.c
   M /branches/3.1/tests/tisnan.c
   M /branches/3.1/tests/tisqrt.c
   M /branches/3.1/tests/tj0.c
   M /branches/3.1/tests/tj1.c
   M /branches/3.1/tests/tjn.c
   M /branches/3.1/tests/tl2b.c
   M /branches/3.1/tests/tlgamma.c
   M /branches/3.1/tests/tli2.c
   M /branches/3.1/tests/tlngamma.c
   M /branches/3.1/tests/tlog.c
   M /branches/3.1/tests/tlog10.c
   M /branches/3.1/tests/tlog1p.c
   M /branches/3.1/tests/tlog2.c
   M /branches/3.1/tests/tmin_prec.c
   M /branches/3.1/tests/tminmax.c
   M /branches/3.1/tests/tmodf.c
   M /branches/3.1/tests/tmul.c
   M /branches/3.1/tests/tmul_2exp.c
   M /branches/3.1/tests/tmul_d.c
   M /branches/3.1/tests/tmul_ui.c
   M /branches/3.1/tests/tnext.c
   M /branches/3.1/tests/tout_str.c
   M /branches/3.1/tests/toutimpl.c
   M /branches/3.1/tests/tpow.c
   M /branches/3.1/tests/tpow3.c
   M /branches/3.1/tests/tpow_all.c
   M /branches/3.1/tests/tpow_z.c
   M /branches/3.1/tests/tprintf.c
   M /branches/3.1/tests/trandom.c
   M /branches/3.1/tests/trec_sqrt.c
   M /branches/3.1/tests/tremquo.c
   M /branches/3.1/tests/trint.c
   M /branches/3.1/tests/troot.c
   M /branches/3.1/tests/tround_prec.c
   M /branches/3.1/tests/tsec.c
   M /branches/3.1/tests/tsech.c
   M /branches/3.1/tests/tset.c
   M /branches/3.1/tests/tset_d.c
   M /branches/3.1/tests/tset_exp.c
   M /branches/3.1/tests/tset_f.c
   M /branches/3.1/tests/tset_ld.c
   M /branches/3.1/tests/tset_q.c
   M /branches/3.1/tests/tset_si.c
   M /branches/3.1/tests/tset_sj.c
   M /branches/3.1/tests/tset_str.c
   M /branches/3.1/tests/tset_z.c
   M /branches/3.1/tests/tset_z_exp.c
   M /branches/3.1/tests/tsgn.c
   M /branches/3.1/tests/tsi_op.c
   M /branches/3.1/tests/tsin.c
   M /branches/3.1/tests/tsin_cos.c
   M /branches/3.1/tests/tsinh.c
   M /branches/3.1/tests/tsinh_cosh.c
   M /branches/3.1/tests/tsprintf.c
   M /branches/3.1/tests/tsqr.c
   M /branches/3.1/tests/tsqrt.c
   M /branches/3.1/tests/tsqrt_ui.c
   M /branches/3.1/tests/tstckintc.c
   M /branches/3.1/tests/tstdint.c
   M /branches/3.1/tests/tstrtofr.c
   M /branches/3.1/tests/tsub.c
   M /branches/3.1/tests/tsub1sp.c
   M /branches/3.1/tests/tsub_d.c
   M /branches/3.1/tests/tsub_ui.c
   M /branches/3.1/tests/tsubnormal.c
   M /branches/3.1/tests/tsum.c
   M /branches/3.1/tests/tswap.c
   M /branches/3.1/tests/ttan.c
   M /branches/3.1/tests/ttanh.c
   M /branches/3.1/tests/ttrunc.c
   M /branches/3.1/tests/tui_div.c
   M /branches/3.1/tests/tui_pow.c
   M /branches/3.1/tests/tui_sub.c
   M /branches/3.1/tests/turandom.c
   M /branches/3.1/tests/tvalist.c
   M /branches/3.1/tests/tversion.c
   M /branches/3.1/tests/ty0.c
   M /branches/3.1/tests/ty1.c
   M /branches/3.1/tests/tyn.c
   M /branches/3.1/tests/tzeta.c
   M /branches/3.1/tests/tzeta_ui.c
   M /branches/3.1/tools/ck-copyright-notice
   M /branches/3.1/tools/ck-mparam
   M /branches/3.1/tools/ck-version-info
   M /branches/3.1/tools/get_patches.sh
   M /branches/3.1/tune/Makefile.am
   M /branches/3.1/tune/bidimensional_sample.c
   M /branches/3.1/tune/speed.c
   M /branches/3.1/tune/tuneup.c

Copyright notice update: added 2013 with
  perl -pi -e 's/2012 Free Software/2012, 2013 Free Software/' **/*(^/)
under zsh, reverting the ChangeLog file (the m4 and tools/mbench
directories were not modified).
Removed 2012 from the example in the doc/README.dev file.
------------------------------------------------------------------------
r8464 | vlefevre | 2013-03-08 00:28:01 +0000 (Fri, 08 Mar 2013) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/examples/ReadMe
   M /branches/3.1/examples/divworst.c
   M /branches/3.1/examples/rndo-add.c
   M /branches/3.1/examples/sample.c
   M /branches/3.1/examples/version.c

[examples] Replaced the old rounding mode macros (GMP_RNDN, etc.) by the
new ones (MPFR_RNDN, etc.) in the *.c files; updated ReadMe file.
(merged changeset r8461 from the trunk)
------------------------------------------------------------------------
r8463 | vlefevre | 2013-03-08 00:26:52 +0000 (Fri, 08 Mar 2013) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/faq.xsl
   M /branches/3.1/doc/update-faq

[doc] Slightly modified faq.xsl to avoid libxslt bug 377440, and
moved the addition of special CSS comments for XML compatibility
from update-faq to faq.xsl file. Removed the now useless
s/GMP_RND/MPFR_RND/ rewriting in update-faq.
(merged changesets r8458,8460 from the trunk)
------------------------------------------------------------------------
r8454 | vlefevre | 2013-02-22 12:11:37 +0000 (Fri, 22 Feb 2013) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/get_f.c
   M /branches/3.1/src/mpfr-gmp.h
   M /branches/3.1/tests/tadd.c
   M /branches/3.1/tests/tgeneric.c

Compatibility with GMP 5.1.0 and later when gmp-impl.h is included,
i.e. with --with-gmp-build (thanks to Rob for the fix); clean-up.
(merged changeset r8439 from the trunk)
------------------------------------------------------------------------
r8399 | vlefevre | 2012-08-29 13:54:55 +0000 (Wed, 29 Aug 2012) | 8 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/strtofr.c
   M /branches/3.1/tests/tstrtofr.c

[src/strtofr.c] Fixed bug in mpfr_strtofr in case:
  (1) the input string was used entirely
  (2) the conversion was done by a division
  (3) and the division was exact
  In such a case the "reconstruction" of the ternary value was inexact.
[tests/tstrtofr.c] Added various testcases (for this bug and for bugs
  in intermediate revisions).
(merged changesets r8371,8384,8389-8398 from the trunk)
------------------------------------------------------------------------
r8387 | vlefevre | 2012-08-28 15:06:27 +0000 (Tue, 28 Aug 2012) | 1 line
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/FAQ.html

[doc] Updated FAQ.html (changeset r8386 from the trunk).
------------------------------------------------------------------------
r8380 | vlefevre | 2012-08-16 09:12:57 +0000 (Thu, 16 Aug 2012) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/get_d64.c
   M /branches/3.1/tests/tget_set_d64.c

[src/get_d64.c] mpfr_get_decimal64 was buggy in MPFR_RNDN on some
  values x such that 0.5e-398 < |x| < 1e-398 (smallest subnormal):
  it was returning 0 instead of +/- 1e-398.
[tests/tget_set_d64.c] Added testcases.
(merged changesets r8370,8379 from the trunk)
------------------------------------------------------------------------
r8378 | vlefevre | 2012-08-15 23:41:21 +0000 (Wed, 15 Aug 2012) | 7 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/get_d64.c
   M /branches/3.1/tests/tget_set_d64.c

[src/get_d64.c] Fixed get_decimal64_max by simplifying it completely,
and changed get_decimal64_min in the same way.
Thanks to Rob (Sisyphus) for the idea.
[tests/tget_set_d64.c] Added some tests for large numbers and overflow
tests (they cover the two bad tests fixed in r8373 and trigger the bug
in get_decimal64_max fixed here).
(merged changesets r8375-8377 from the trunk)
------------------------------------------------------------------------
r8373 | vlefevre | 2012-08-14 10:37:10 +0000 (Tue, 14 Aug 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/get_d64.c

[src/get_d64.c] Fixed overflow cases.
(merged changeset r8372 from the trunk)
------------------------------------------------------------------------
r8361 | vlefevre | 2012-07-26 14:21:40 +0000 (Thu, 26 Jul 2012) | 1 line
Changed paths:
   M /branches/3.1
   M /branches/3.1/configure.ac

[configure.ac] Replaced "sed" by "$SED" and "grep" by "$EGREP".
------------------------------------------------------------------------
r8330 | vlefevre | 2012-07-05 10:44:31 +0000 (Thu, 05 Jul 2012) | 2 lines
Changed paths:
   M /branches/3.1/tools/coverage

[tools/coverage] Added a comment about the non-reproducibility of the
coverage results.
------------------------------------------------------------------------
r8318 | vlefevre | 2012-07-04 09:30:08 +0000 (Wed, 04 Jul 2012) | 1 line
Changed paths:
   M /branches/3.1/INSTALL
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.2-dev.
------------------------------------------------------------------------
r8309 | vlefevre | 2012-07-03 14:23:23 +0000 (Tue, 03 Jul 2012) | 1 line
Changed paths:
   M /branches/3.1/ChangeLog

ChangeLog update with "TZ=UTC svn log -rHEAD:0 -v" (in UTF-8 locales).
------------------------------------------------------------------------
r8307 | vlefevre | 2012-07-03 14:19:10 +0000 (Tue, 03 Jul 2012) | 1 line
Changed paths:
   M /branches/3.1/NEWS

[NEWS] Added test coverage for MPFR 3.1.1.
------------------------------------------------------------------------
r8306 | vlefevre | 2012-07-03 14:17:16 +0000 (Tue, 03 Jul 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tools/coverage

[tools/coverage] Some changes from the trunk (r8263,8275,8277,8305),
in particular detailed coverage.
------------------------------------------------------------------------
r8303 | vlefevre | 2012-07-03 13:52:02 +0000 (Tue, 03 Jul 2012) | 1 line
Changed paths:
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r8301 | vlefevre | 2012-07-03 13:49:45 +0000 (Tue, 03 Jul 2012) | 1 line
Changed paths:
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.1.
------------------------------------------------------------------------
r8300 | vlefevre | 2012-07-03 13:47:34 +0000 (Tue, 03 Jul 2012) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/td_div.c
   M /branches/3.1/tests/tests.c
   M /branches/3.1/tests/tget_d.c

[tests/tests.c] Improved an error message.
[tests/{td_div.c,tget_d.c}] Disable tests with a division by 0 if
  MPFR_ERRDIVZERO is defined.
(merged changesets r8298-8299 from the trunk)
------------------------------------------------------------------------
r8290 | vlefevre | 2012-06-27 12:00:38 +0000 (Wed, 27 Jun 2012) | 1 line
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi

[mpfr.texi] added support by ERC grant of Andreas
------------------------------------------------------------------------
r8288 | vlefevre | 2012-06-27 09:15:26 +0000 (Wed, 27 Jun 2012) | 1 line
Changed paths:
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Document MPFR_WANT_DECIMAL_FLOATS.
------------------------------------------------------------------------
r8284 | vlefevre | 2012-06-27 08:37:21 +0000 (Wed, 27 Jun 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tgrandom.c

[tests/tgrandom.c] Replaced GMP_RNDN by MPFR_RNDN.
(merged changeset r8283 from the trunk)
------------------------------------------------------------------------
r8282 | vlefevre | 2012-06-27 08:33:41 +0000 (Wed, 27 Jun 2012) | 1 line
Changed paths:
   M /branches/3.1/NEWS

[NEWS] Update.
------------------------------------------------------------------------
r8281 | vlefevre | 2012-06-27 08:23:11 +0000 (Wed, 27 Jun 2012) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/tests/tgrandom.c

[doc/mpfr.texi] Completed spec of mpfr_grandom.
[tests/tgrandom.c] Improved a test and added a new one for
  mpfr_grandom(x, NULL, ...).
(merged changesets r8279-8280 from the trunk)
------------------------------------------------------------------------
r8278 | vlefevre | 2012-06-27 08:10:45 +0000 (Wed, 27 Jun 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/NEWS

[NEWS] Update: test coverage.
(merged changeset r8276 from the trunk)
------------------------------------------------------------------------
r8259 | vlefevre | 2012-06-26 15:02:18 +0000 (Tue, 26 Jun 2012) | 1 line
Changed paths:
   M /branches/3.1/ChangeLog

ChangeLog update with "TZ=UTC svn log -rHEAD:0 -v" (in UTF-8 locales).
------------------------------------------------------------------------
r8257 | vlefevre | 2012-06-26 14:51:13 +0000 (Tue, 26 Jun 2012) | 1 line
Changed paths:
   M /branches/3.1/doc/mpfr.texi

[doc/mpfr.texi] Updated the month.
------------------------------------------------------------------------
r8256 | vlefevre | 2012-06-26 14:50:17 +0000 (Tue, 26 Jun 2012) | 2 lines
Changed paths:
   M /branches/3.1/VERSION
   M /branches/3.1/configure.ac
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/Makefile.am
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/version.c

Updated version to 3.1.1-rc1 and updated libmpfr_la_LDFLAGS in
src/Makefile.am for the next release.
------------------------------------------------------------------------
r8255 | vlefevre | 2012-06-26 14:41:27 +0000 (Tue, 26 Jun 2012) | 1 line
Changed paths:
   M /branches/3.1/NEWS

[NEWS] Update for GNU MPFR 3.1.1.
------------------------------------------------------------------------
r8254 | vlefevre | 2012-06-26 14:03:44 +0000 (Tue, 26 Jun 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tinternals.c

[tests/tinternals.c] mpfr_set_prec_raw missing tests (thanks to Patrick).
(merged changeset r8253 from the trunk)
------------------------------------------------------------------------
r8252 | vlefevre | 2012-06-26 13:57:32 +0000 (Tue, 26 Jun 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tset_si.c

[tests/tset_si.c] Also test the mpfr_set_ui function (instead of macro).
(merged changeset r8251 from the trunk)
------------------------------------------------------------------------
r8220 | vlefevre | 2012-06-21 23:03:44 +0000 (Thu, 21 Jun 2012) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tset_ld.c

[tests/tset_ld.c] For _GMP_IEEE_FLOATS, use #if instead of #ifdef
since mpfr-impl.h defines it to 0 if it was undefined.
(merged changeset r8219 from the trunk)
------------------------------------------------------------------------
r8205 | vlefevre | 2012-05-09 00:07:18 +0000 (Wed, 09 May 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/configure.ac
   M /branches/3.1/tests/Makefile.am

Patch from Nitin A Kamble for automake 1.12
(merged changeset r8204 from the trunk)
------------------------------------------------------------------------
r8202 | vlefevre | 2012-05-07 18:13:13 +0000 (Mon, 07 May 2012) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/AUTHORS
   M /branches/3.1/INSTALL
   M /branches/3.1/doc/mpfr.texi

[AUTHORS,INSTALL,doc/mpfr.texi] Updated the e-mail address of the
MPFR mailing-list to match the List-* headers written by the new
mailing-list server (the old one still works, but may lead to bad
interaction with MUA's that attempt to honor the List-Post header
when replying to the list(s)).
------------------------------------------------------------------------
r8200 | vlefevre | 2012-05-07 17:58:04 +0000 (Mon, 07 May 2012) | 6 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/gamma.c
   M /branches/3.1/src/lngamma.c
   M /branches/3.1/tests/tgamma.c

[src/lngamma.c] Added mpfr_explgamma internal function to handle
  overflows/underflows (intermediate or not) in mpfr_gamma. Added
  general overflow detection.
[src/gamma.c] Added general underflow detection.
[tests/tgamma.c] Added testcases for 32-bit and 64-bit machines.
(merged changesets r8174,8179,8182-8183,8185-8189,8191-8199 from the trunk)
------------------------------------------------------------------------
r8184 | vlefevre | 2012-05-03 14:44:57 +0000 (Thu, 03 May 2012) | 1 line
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/gamma.c

[src/gamma.c] Reverted changeset r8180, which seems incorrect.
------------------------------------------------------------------------
r8180 | vlefevre | 2012-05-03 13:46:22 +0000 (Thu, 03 May 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/gamma.c

[gamma.c] tentative fix for the underflow problem
(merged changesets r8174,8179 from the trunk)
------------------------------------------------------------------------
r8178 | vlefevre | 2012-05-03 13:26:40 +0000 (Thu, 03 May 2012) | 1 line
Changed paths:
   M /branches/3.1/ChangeLog

ChangeLog update with "TZ=UTC svn log -rHEAD:0 -v" (in UTF-8 locales).
------------------------------------------------------------------------
r8176 | vlefevre | 2012-05-03 13:08:51 +0000 (Thu, 03 May 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/TODO
   M /branches/3.1/doc/README.dev
   M /branches/3.1/doc/mpfr.texi
   M /branches/3.1/src/mpfr-impl.h
   M /branches/3.1/src/mpfr.h
   M /branches/3.1/src/subnormal.c
   M /branches/3.1/tests/Makefile.am
   M /branches/3.1/tests/tatan.c
   M /branches/3.1/tests/tsin_cos.c
   M /branches/3.1/tests/tsqr.c

Merged changesets r8172-8173,8175 from the trunk to update URL's of
mailing-list archives/messages.
------------------------------------------------------------------------
r8165 | vlefevre | 2012-04-27 12:39:54 +0000 (Fri, 27 Apr 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tgamma.c

[tests/tgamma.c] Improved testcase test20100709.
(merged changeset r8164 from the trunk)
------------------------------------------------------------------------
r8163 | vlefevre | 2012-04-27 12:29:02 +0000 (Fri, 27 Apr 2012) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/tgamma.c

[tests/tgamma.c] Updated testcase test20100709 for 64-bit machines,
as this bug reappeared in r8160 (r8159 from the trunk).
(merged changeset r8162 from the trunk)
------------------------------------------------------------------------
r8160 | vlefevre | 2012-04-27 01:08:44 +0000 (Fri, 27 Apr 2012) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/gamma.c
   M /branches/3.1/tests/tgamma.c

[src/gamma.c] Fixed bug in the underflow detection code of mpfr_gamma,
  found by Giridhar Tammana: some results may incorrectly be regarded
  as underflow.
[tests/tgamma.c] Added testcase.
(merged changeset r8159 from the trunk)
------------------------------------------------------------------------
r8127 | vlefevre | 2012-03-26 12:25:58 +0000 (Mon, 26 Mar 2012) | 3 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/tests/Makefile.am
   M /branches/3.1/tests/tests.c

[tests/{Makefile.am,tests.c}] Fixed src_fopen to be able to run test
programs directly (without "make check") when objdir != srcdir.
(merged changesets r8122,8126 from the trunk)
------------------------------------------------------------------------
r8084 | vlefevre | 2012-03-09 12:03:59 +0000 (Fri, 09 Mar 2012) | 4 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/mpfr-impl.h

[src/mpfr-impl.h] Improved macros from the changeset r8080, in
particular to avoid an error with the --enable-assert configure
option and the -ansi -pedantic-errors gcc compiler flags.
(merged changesets r7910,8082,8083 from the trunk)
------------------------------------------------------------------------
r8080 | vlefevre | 2012-03-08 14:11:02 +0000 (Thu, 08 Mar 2012) | 8 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/add1.c
   M /branches/3.1/src/add1sp.c
   M /branches/3.1/src/agm.c
   M /branches/3.1/src/eq.c
   M /branches/3.1/src/exp.c
   M /branches/3.1/src/get_d.c
   M /branches/3.1/src/get_flt.c
   M /branches/3.1/src/get_str.c
   M /branches/3.1/src/init2.c
   M /branches/3.1/src/lngamma.c
   M /branches/3.1/src/mpfr-impl.h
   M /branches/3.1/src/mul.c
   M /branches/3.1/src/pow.c
   M /branches/3.1/src/print_raw.c
   M /branches/3.1/src/round_prec.c
   M /branches/3.1/src/round_raw_generic.c
   M /branches/3.1/src/set.c
   M /branches/3.1/src/set_f.c
   M /branches/3.1/src/set_prec.c
   M /branches/3.1/src/setmax.c
   M /branches/3.1/src/sqr.c
   M /branches/3.1/src/stack_interface.c
   M /branches/3.1/src/strtofr.c
   M /branches/3.1/src/sub1sp.c
   M /branches/3.1/src/urandomb.c
   M /branches/3.1/tests/tinits.c

Avoid potential integer overflows and improve consistency. This should
fix bug #13918 "Segfault with precision = MPFR_PREC_MAX on 32-bit".
Note: this problem appeared in MPFR 3.0.0 when the precision type (now
mpfr_prec_t) was changed to a signed integer.
Added a large precision test in tests/tinits.c (enabled by setting
MPFR_CHECK_LARGEMEM=1) to trigger the bug mentioned above on 32-bit
machines (or when MPFR is built with -m32).
(merged changesets r8025,8026,8029,8031,8077 from the trunk)
------------------------------------------------------------------------
r8069 | vlefevre | 2012-03-07 15:02:17 +0000 (Wed, 07 Mar 2012) | 5 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/mpfr.h

[src/mpfr.h] Simple temporary fix following GMP's internal __gmp_const
macro removal in <http://gmplib.org:8000/gmp/rev/d287cfaf6732> (and its
replacement by const): if __gmp_const isn't define, let's define it to
const.
(merged changeset r8061 from the trunk)
------------------------------------------------------------------------
r8059 | vlefevre | 2012-03-03 03:00:29 +0000 (Sat, 03 Mar 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/NEWS

[NEWS] Mention the mpfr_exp bug fix (from r6964 in exp_2.c).
(merged changeset r8058 from the trunk)
------------------------------------------------------------------------
r8049 | vlefevre | 2012-02-24 13:45:11 +0000 (Fri, 24 Feb 2012) | 2 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/mpfr-impl.h

[src/mpfr-impl.h] Use %.*Rg instead of %.*Rf for MPFR_LOG_VAR.
(merged changeset r8048 from the trunk)
------------------------------------------------------------------------
r8047 | vlefevre | 2012-02-24 12:38:46 +0000 (Fri, 24 Feb 2012) | 6 lines
Changed paths:
   M /branches/3.1
   M /branches/3.1/src/add_d.c
   M /branches/3.1/src/add_ui.c
   M /branches/3.1/src/mul_d.c

Corrected a typo in MPFR_LOG_FUNC of add_d.c, add_ui.c and mul_d.c
(mpfr_get_prec → mpfr_log_prec), fixing bug 13933.
The consequence was random freezes (on the same binary) with dynamic
linking (and just more memory with static linking to the MPFR library)
when logging was used.
(merged changeset r8043 from the trunk)
------------------------------------------------------------------------
r8045 | vlefevre | 2012-02-24 12:22:24 +0000 (Fri, 24 Feb 2012) | 2 lines
Changed paths:
